summaryrefslogtreecommitdiffstats
path: root/libraries/zint
diff options
context:
space:
mode:
author Fernando Lopez Jr2018-03-22 15:45:13 +0100
committer David Spencer2018-03-22 15:45:13 +0100
commitcde5bc7030d34bdabc6ec7a094e355318d331c83 (patch)
tree00fca8d0d0445a6583bbfb3ba69ec9f5e34ba5ba /libraries/zint
parent49f800281cc7823a4b7a6a44984faff085d80616 (diff)
downloadslackbuilds-cde5bc7030d34bdabc6ec7a094e355318d331c83.tar.gz
libraries/zint: Added (Zint Barcode Generator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/zint')
-rw-r--r--libraries/zint/README17
-rw-r--r--libraries/zint/slack-desc19
-rw-r--r--libraries/zint/zint.SlackBuild95
-rw-r--r--libraries/zint/zint.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/zint/README b/libraries/zint/README
new file mode 100644
index 0000000000..c7c55e1efd
--- /dev/null
+++ b/libraries/zint/README
@@ -0,0 +1,17 @@
+Encodes data into any of the following: Australia Post barcode, Aztec
+Code, Aztec Runes, Channel Code, Codabar, Codablock-F, Code 11, Code
+128, Code 16K, Code 2 of 5 (Including IATA, Datalogic, ITF14, Deutsche
+Post Leitcode and Identcode), Code 32 (Italian Pharmacode), Code 39,
+Code 39+, Code 49, Code 93, Code One, Data Matrix (ECC200), DotCode,
+Dutch Post KIX, EAN, Grid Matrix, GS-1 DataBar, Han Xin Code, HIBC,
+Japan Post, Korea Post, LOGMARS, MaxiCode, MSI, PDF417 and Micro
+PDF417, Pharmacode, POSTNET, PLANET, QR Code and Micro QR, Royal
+Mail 4-state (RM4SCC) and Mailmark, Telepen, UPC-A and UPC-E,
+UPNQR and USPS Intelligent Mail.
+
+Also supports full range of Unicode (UTF8) input using automated ECI
+switching for encoding in multiple languages and GS-1 data input mode.
+Save to PNG, BMP, TIF, GIF, PCX, SVG, WMF and EPS output file formats.
+
+Includes CLI and GUI interfaces and fully documented API for
+integrating with other projects.
diff --git a/libraries/zint/slack-desc b/libraries/zint/slack-desc
new file mode 100644
index 0000000000..905df9596e
--- /dev/null
+++ b/libraries/zint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zint: zint (Zint Barcode Generator)
+zint:
+zint: Encodes data into any of the following: Australia Post barcode, Aztec
+zint: Code, Aztec Runes, Channel Code, Codabar, Codablock-F, Code 11, Code
+zint: 128, Code 16K, Code 2 of 5 (Including IATA, Datalogic, ITF14, Deutsche
+zint: Post Leitcode and Identcode), Code 32 (Italian Pharmacode), Code 39,
+zint: Code 39+, Code 49, Code 93, Code One, Data Matrix (ECC200), DotCode,
+zint: Dutch Post KIX, EAN, Grid Matrix, GS-1 DataBar, Han Xin Code, HIBC,
+zint: Japan Post, Korea Post, LOGMARS, MaxiCode, MSI, PDF417 and Micro
+zint: PDF417, Pharmacode, POSTNET, PLANET, QR Code and Micro QR, Royal
+zint: Mail 4-state (RM4SCC) and Mailmark, Telepen, UPC-A and many more.
diff --git a/libraries/zint/zint.SlackBuild b/libraries/zint/zint.SlackBuild
new file mode 100644
index 0000000000..207e68a786
--- /dev/null
+++ b/libraries/zint/zint.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for zint
+
+# Copyright 2010-2018 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zint
+VERSION=${VERSION:-2.6.3_rc2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION.src
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION.src
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README readme-cmake TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/zint/zint.info b/libraries/zint/zint.info
new file mode 100644
index 0000000000..8c45390f28
--- /dev/null
+++ b/libraries/zint/zint.info
@@ -0,0 +1,10 @@
+PRGNAM="zint"
+VERSION="2.6.3_rc2"
+HOMEPAGE="https://sourceforge.net/projects/zint/"
+DOWNLOAD="https://downloads.sourceforge.net/project/zint/zint/2.6.3/zint-2.6.3_rc2.src.tar.gz"
+MD5SUM="bd2a7f901a54716c0394d66b1d773663"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"